Create Review Approval
POST
/api/v1/workspaces/{workspace_id}/emails/{email_id}/review_approvals
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/emails/1/review_approvals';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"decision":"approved","review_comment":"<p>Looks good! Just fix the footer link.</p>"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/emails/1/review_approvals \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "decision": "approved", "review_comment": "<p>Looks good! Just fix the footer link.</p>" }'Creates a new review approval.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
email_id
required
integer
Email ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
decision
required
string
review_comment
An optional comment explaining the review decision.
string
Example
<p>Looks good! Just fix the footer link.</p>Responses
Section titled “ Responses ”Successful
Unauthorized
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}Forbidden
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}Not Found
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}Unprocessable Entity
Media typeapplication/json
object
message
required
string
errors
required
object
key
additional properties
Array<string>
Example
{ "errors": { "username": [ "Username is required.", "Username must be unique." ], "email": [ "Invalid email format." ] }}